# Uses of Class
org.apache.lucene.util.automaton.TooComplexToDeterminizeException

Packages that use TooComplexToDeterminizeException
Package
Description
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.

- ## Uses of TooComplexToDeterminizeException in org.apache.lucene.util.automaton

  Methods in org.apache.lucene.util.automaton that throw TooComplexToDeterminizeException
  Modifier and Type
  Method
  Description
  `Automaton`
  RegExp.`toAutomaton(Map<String,Automaton> automata)`
  Constructs new `Automaton` from this `RegExp`.
  `Automaton`
  RegExp.`toAutomaton(AutomatonProvider automaton_provider)`
  Constructs new `Automaton` from this `RegExp`.
  Constructors in org.apache.lucene.util.automaton with parameters of type TooComplexToDeterminizeException
  Modifier
  Constructor
  Description
  ``
  `TooComplexToDeterminizeException(RegExp regExp, TooComplexToDeterminizeException cause)`
  Use this constructor when the RegExp failed to convert to an automaton.